%define module	qdarkstyle
%define srcname QDarkStyle

Name:		python-%{module}
Version:	3.0.2
Release:	%mkrel 1
Summary:	Dark style sheet for Python QtWidgets applications
License:	MIT
Group:		Development/Python
URL:		https://github.com/colinduquesnoy/qdarkstylesheet
Source0:	%{srcname}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pyside2
BuildRequires:  python3-helpdev >= 0.6.2
BuildRequires:  python3-m2r2
BuildRequires:  python3-qtpy
BuildRequires:  python3-qtsass
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
This is a dark stylesheet for qt python applications (Qt4, Qt5, PySide, PyQt4, PyQt5, QtPy, PyQtGraph).

%package -n	python3-%{module}
Summary:	Dark style sheet for Python QtWidgets applications
Group:		Development/Python

Requires:   python3-pyside2
Requires:   python3-m2r2
Requires:   python3-qtsass
Requires:   python3-watchdog

%description -n	python3-%{module}
This is a dark stylesheet for qt python applications (Qt4, Qt5, PySide, PyQt4, PyQt5, QtPy, PyQtGraph).

#------------------------------------------------
%prep
%setup -q -n %{srcname}-%{version}

rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc AUTHORS.rst CHANGES.rst CONTRIBUTING.rst LICENSE.rst
%{_bindir}/qdarkstyle
%{_bindir}/qdarkstyle.example
%{_bindir}/qdarkstyle.utils
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 3.0.2-1pclos2022
- update and rebuild for python 3.10

* Sat Mar 30 2019 tex 1.4.3-1pclos2019
- new
